---
title: Remembering A Dear Friend Forever
number: 1
author: Robert Miles <khuxkm@tilde.team>
status: Accepted
---
## Abstract

tilde.town member [abraxas](https://tilde.town/~abraxas/) passed away in a motorcycle
accident recently. He shall be missed.

## Clacks-Overhead

In Sir Terry Pratchett's Discworld series, the clacks are a series of semaphore
towers loosely based on the concept of the telegraph. Invented by an artificer
named Robert Dearheart, the towers could send messages "at the speed of light"
using standardized codes. When Dearheart's son John died due to an accident
while working on a clacks tower, Dearheart inserted John's name into the
overhead of the clacks with a "GNU" in front of it (meaning, basically, to send
it on, unlogged, and turning around at the end of the line) as a way to
memorialize his son forever (or for at least as long as the clacks are
standing.) (explanation paraphrased and plagiarized from
[GNU Terry Pratchett](https://gnuterrypratchett.com/))

Sir Terry Pratchett himself passed away a few years ago. To commemorate him on
the web, the users of the DiscWorld subreddit came up with the idea of a
non-standard HTTP header, `X-Clacks-Overhead`, which, much like the overhead it
simulates, is virtually invisible unless you're working with HTTP and looking
at headers.

In this spirit, I propose that we honor our dear friend abraxas, a true townie,
through putting `GNU ~abraxas` in the `X-Clacks-Overhead` header.

> 'We keep that name moving in the Overhead,' he said, and it seemed to
> Princess that the wind in the shutter arrays above her blew more forlornly,
> and the everlasting clicking of the shutters grew more urgent. 'He'd never
> have wanted to go home. He was a real linesman. His name is in the code, in
> the wind in the rigging and the shutters. **Haven't you ever heard the saying
> "A man's not dead while his name is still spoken"?'**
>
> <cite>Sir Terry Pratchett, Going Postal</cite>

## Procedural Information

### Security Considerations

There are no security considerations to this document.

### Configuration Considerations

Conforming tildes must add a configuration block to their web server to serve
the message. Examples for most servers can be found
[here](http://www.gnuterrypratchett.com/#servers).
